aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/init.d/killall10
1 files changed, 10 insertions, 0 deletions
diff --git a/rc.d/init.d/killall b/rc.d/init.d/killall
index 982ed2f3..d22982ef 100755
--- a/rc.d/init.d/killall
+++ b/rc.d/init.d/killall
@@ -3,6 +3,16 @@
# Bring down all unneeded services that are still running (there shouldn't
# be any, so this is just a sanity check)
+case "$1" in
+ *start)
+ ;;
+ *)
+ echo $"Usage: $0 {start}"
+ exit 1
+ ;;
+esac
+
+
for i in /var/lock/subsys/* ; do
# Check if the script is there.
[ -f "$i" ] || continue